View Issue Details

IDProjectCategoryLast Update
0020263AI War 2[All Projects] Bug - GameplayOct 3, 2018 10:04 am
ReportermalkielAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.768 Golem Rebirth 
Fixed in Version 
Summary0020263: salvage is borked...
Descriptionnote my total income vs. what my Logi 1 station at Paulson is getting.
Also a point of concern, there hasn't been _that_ much combat at Paulson. There was a point about 1-2 hours ago where warden fleet killed all the turrets, and took a fair amount of losses as well. past that constant slaughter of minor amounts of Dysons, then wardens left for about an hour before I claimed planet. I think salvage doesn't decay if there's no planetary ownership. the planet ceased being AI controlled within the first 2 hours. I only took control of it very recently.
Including save for in case it helps. (or for those following the AAR that would like to see the map since I don't know how to do pictures on forums heh)
TagsNo tags attached.

Activities

malkiel

Sep 9, 2018 11:45 pm

reporter  

Fourth Report.savemet (49 bytes)
Fourth Report.save (3,898,236 bytes)
20180909221039_1.jpg (286,477 bytes)

malkiel

Sep 10, 2018 12:08 am

reporter   ~0049188

btw if I really got that much metal I wouldn't need harvesters MK. II, because Ion cannons = loads of free metal! case in point, Juno (AKA "Planet 6")

BadgerBadger

Sep 10, 2018 9:27 am

manager   ~0049194

Chris, what was the behaviour of Salvage on this front in AIWC? Did it not count minor faction deaths or something? Or deaths if the planet was unowned?

x4000Bughunter

Oct 2, 2018 7:24 pm

administrator   ~0049715

I have no idea what AIWC did, it was added and tweaked by Keith a ton after I last touched it. Is it working properly in 0.778? I fixed some potential metal flow issues there.

BadgerBadger

Oct 2, 2018 11:06 pm

manager   ~0049726

Last edited: Oct 3, 2018 1:30 am

View 2 revisions

I have since modified salvage to only be collected if either the player or the AI owns the planet. Also, PlayerSalvage and AISalvage are tracked differently, so you can't inherit the AI's salvage. So I hope this is no longer an issue.

x4000Bughunter

Oct 3, 2018 10:04 am

administrator   ~0049733

Awesome -- thanks!

Issue History

Date Modified Username Field Change
Sep 9, 2018 11:45 pm malkiel New Issue
Sep 9, 2018 11:45 pm malkiel File Added: 20180909221039_1.jpg
Sep 9, 2018 11:45 pm malkiel File Added: Fourth Report.save
Sep 9, 2018 11:45 pm malkiel File Added: Fourth Report.savemet
Sep 10, 2018 12:06 am malkiel Description Updated View Revisions
Sep 10, 2018 12:08 am malkiel Note Added: 0049188
Sep 10, 2018 9:27 am BadgerBadger Note Added: 0049194
Oct 2, 2018 7:24 pm x4000Bughunter Note Added: 0049715
Oct 2, 2018 11:06 pm BadgerBadger Note Added: 0049726
Oct 3, 2018 1:30 am BadgerBadger Note Edited: 0049726 View Revisions
Oct 3, 2018 10:04 am x4000Bughunter Assigned To => BadgerBadger
Oct 3, 2018 10:04 am x4000Bughunter Status new => resolved
Oct 3, 2018 10:04 am x4000Bughunter Resolution open => fixed
Oct 3, 2018 10:04 am x4000Bughunter Note Added: 0049733